<?php

    include_once( PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php" );
    include_once( PLOG_CLASS_PATH."plugins/adminnotifier/class/view/admineventlistview.class.php" );

    /**
     * displays a list of events to be notified (obtained from the global list of
     * available events
     */     
    class AdminNotifierShowEventListAction extends SiteAdminAction
    {
    
        function AdminNotifierShowEventListAction( $actionInfo, $request )
        {
            $this->SiteAdminAction( $actionInfo, $request );
        }
        
        function perform()
        {
            $this->_view = new AdminEventListView( $this->_blogInfo );
            $this->setCommonData();
            
            return( true );
        }
    }
?>